Get Containers

Retrieves a list of shipping containers associated with a specific carrier and shipping location. With this endpoint, you can access information about the containers used for shipments, ensuring effective logistics management.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

A unique identifier for the shipping carrier for which container information is being requested. This code is typically alphanumeric and helps in identifying the specific carrier linked to the container.

string

A unique identifier for the shipping location assigned by the system (ShippingLocationId) or by you (LocationAlias). This parameter allows users to filter the results to only those containers associated with a specific shipping site.

int32
1 to 2147483647
Defaults to 100

An integer that defines the maximum number of containers (records) returned per page in the response. For instance, if pageSize is set to 20, the API will return up to 20 containers in each response.

Note: By default, this value is set to 100.

int32
1 to 2147483647
Defaults to 1

An integer indicating the specific page of results to retrieve, allowing for pagination of larger datasets. For example, if pageNumber is set to 3, the API will return the results corresponding to the third page of containers based on the specified pageSize.

Note: By default, this value is set to 1.

string
enum

A string specifying the field by which to organise the search results. For instance, "CreateDate" could be used to sort containers chronologically, arranging the results in a more user-friendly order.

Note: By default, this field is set to CreatedDateUtc.

Allowed:
string
enum

A string indicating the direction in which to sort the results, typically set to "ascending" or "descending." For example, setting sortDir to "Ascending" while using "CreatedDateUtc" as sortBy would arrange the container from latest creation date to oldest creation date.

Note: By default, this value is set to Ascending.

Allowed:
string
enum

Indicates the current status of the container, helping customers quickly find the containers that meet their specific criteria.

Note: By default, this field is set to Active.

Allowed:
Responses

401

Unauthorized

403

Forbidden

500

Internal Server Error

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json